import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { Point, Type, IList$1 } from "igniteui-react-core";
import { AxisLabelPanelBaseView } from "./AxisLabelPanelBaseView";
import { Rect } from "igniteui-react-core";
import { Axis } from "./Axis";
import { List$1 } from "igniteui-react-core";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { IAngleScaler } from "./IAngleScaler";
import { CategoryAxisRenderer } from "./CategoryAxisRenderer";
import { DependencyProperty } from "igniteui-react-core";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { PolarAxisRenderingManager } from "./PolarAxisRenderingManager";
import { ScalerParams } from "./ScalerParams";
import { AxisRangeChangedEventArgs } from "./AxisRangeChangedEventArgs";
import { Geometry } from "igniteui-react-core";
import { NumericAxisBase } from "./NumericAxisBase";
import { NumericAxisRenderer } from "./NumericAxisRenderer";
import { NumericAxisRenderingParameters } from "./NumericAxisRenderingParameters";
import { GeometryGroup } from "igniteui-react-core";
import { CategoryAxisBaseView } from "./CategoryAxisBaseView";
import { NumericAxisBaseView } from "./NumericAxisBaseView";
/**
 * @hidden
 */
export declare class AngleAxisLabelPanel extends AxisLabelPanelBase {
    static $t: Type;
    ad(): AxisLabelPanelBaseView;
    b9(a: AxisLabelPanelBaseView): void;
    ct: AngleAxisLabelPanelView;
    constructor();
    cu: boolean;
    c0: (arg1: number) => Point;
    ap(a: number, b: Rect): boolean;
    cy: number;
    cv: number;
    cx: number;
    cw: number;
    az(): List$1<Rect>;
    private cz;
    ah(): AxisLabelsLocation;
    at(a: AxisLabelsLocation): boolean;
}
/**
 * @hidden
 */
export declare class CategoryAngleAxis extends CategoryAxisBase implements IAngleScaler {
    static $t: Type;
    a3(): AxisView;
    gx(a: AxisView): void;
    k5: CategoryAngleAxisView;
    protected get_b2(): boolean;
    private la;
    constructor();
    au(): AxisLabelPanelBase;
    k7: CategoryAxisRenderer;
    private lb;
    private lp;
    private lf;
    private k6;
    private l4;
    private lj;
    private k4;
    getMinMaxAngle(a: Rect, b: number, c: number): {
        p1: number;
        p2: number;
    };
    ac(): void;
    private k8;
    k9: NumericRadiusAxis;
    aj(): Axis;
    lq: number;
    private lg;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    jz(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    lm(a: number): number;
    protected hc(a: boolean): void;
    ll(a: Rect, b: Rect): number;
    lk(a: Rect, b: Rect): number;
    getScaledAngle(a: number): number;
    getUnscaledAngle(a: number): number;
    dy(a: number, b: ScalerParams): number;
    d1(a: number, b: ScalerParams): number;
    protected gz(a: any, b: string, c: any, d: any): void;
    private ly;
    l0(a: NumericRadiusAxis): void;
    static readonly l1: DependencyProperty;
    ln: number;
    private ld;
    lh: number;
    d9(): number;
    static readonly l2: DependencyProperty;
    lo: number;
    private le;
    li: number;
    protected lc(): boolean;
    protected get_a1(): AxisOrientation;
    readonly a1: AxisOrientation;
    cp(): boolean;
    private lr;
    ls: number;
    i1(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class NumericAngleAxis extends NumericAxisBase implements IAngleScaler {
    static $t: Type;
    a3(): AxisView;
    gx(a: AxisView): void;
    lk: NumericAngleAxisView;
    ln: PolarAxisRenderingManager;
    protected get_b2(): boolean;
    constructor();
    au(): AxisLabelPanelBase;
    private lr;
    private lt;
    private lo;
    private lp;
    jl(): NumericAxisRenderer;
    private l0;
    dy(a: number, b: ScalerParams): number;
    getScaledAngle1(a: number, b: boolean, c: boolean): number;
    getScaledAngle(a: number): number;
    d1(a: number, b: ScalerParams): number;
    getUnscaledAngle(a: number): number;
    lu: number;
    private lq;
    protected gz(a: any, b: string, c: any, d: any): void;
    private lw;
    jp(): NumericAxisRenderingParameters;
    jo(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    getMinMaxAngle(a: Rect, b: number, c: number): {
        p1: number;
        p2: number;
    };
    protected hc(a: boolean): void;
    private ll;
    lm: NumericRadiusAxis;
    aj(): Axis;
    ly(a: NumericRadiusAxis): void;
    protected hn(a: Rect, b: Rect): void;
    protected get_a1(): AxisOrientation;
    readonly a1: AxisOrientation;
    i1(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class NumericRadiusAxis extends NumericAxisBase {
    static $t: Type;
    a3(): AxisView;
    gx(a: AxisView): void;
    lm: NumericRadiusAxisView;
    protected get_ce(): boolean;
    dx(): number;
    private lv;
    private lu;
    private ln;
    constructor();
    au(): AxisLabelPanelBase;
    lo: boolean;
    private ls;
    private lp;
    jl(): NumericAxisRenderer;
    dy(a: number, b: ScalerParams): number;
    ly(a: number, b: boolean, c: boolean, d: number, e: number): number;
    lx(a: number): number;
    lz(a: number): number;
    d1(a: number, b: ScalerParams): number;
    l1: number;
    lr: number;
    l0: number;
    lq: number;
    protected gz(a: any, b: string, c: any, d: any): void;
    protected lt: number;
    l6(a: Axis): void;
    private lk;
    ll: Axis;
    aj(): Axis;
    jp(): NumericAxisRenderingParameters;
    jo(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    private l7;
    private l2;
    lw(): number;
    la(a: AxisRangeChangedEventArgs): void;
    protected hc(a: boolean): void;
    protected hn(a: Rect, b: Rect): void;
    l5(a: GeometryGroup, b: Rect, c: Rect, d: Rect, e: Rect): void;
    protected get_a1(): AxisOrientation;
    readonly a1: AxisOrientation;
    i1(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AngleAxisLabelPanelView extends AxisLabelPanelBaseView {
    static $t: Type;
    protected ax: AngleAxisLabelPanel;
    constructor(a: AngleAxisLabelPanel);
    am(): void;
    ay(a: List$1<Rect>, b: List$1<boolean>): void;
    o(): number;
    p(): number;
    q(): number;
    r(): number;
}
/**
 * @hidden
 */
export declare class CategoryAngleAxisView extends CategoryAxisBaseView {
    static $t: Type;
    protected bg: CategoryAngleAxis;
    constructor(a: CategoryAngleAxis);
}
/**
 * @hidden
 */
export declare class NumericAngleAxisView extends NumericAxisBaseView {
    static $t: Type;
    protected bg: NumericAngleAxis;
    constructor(a: NumericAngleAxis);
}
/**
 * @hidden
 */
export declare class NumericRadiusAxisView extends NumericAxisBaseView {
    static $t: Type;
    protected bg: NumericRadiusAxis;
    constructor(a: NumericRadiusAxis);
}
